import { ConfigurationResource } from "./configuration-resource";
import { ComponentType } from "../../model/component-type";
export declare class ConfigurationPackageJsonFile extends ConfigurationResource {
    private fileContent;
    static create(file: string): ConfigurationPackageJsonFile;
    getKey(): string;
    getDomainVisionStatement(): string;
    getComponentType(): ComponentType;
    getName(): string;
    getVersion(): string;
    getSystemName(): string;
    getTeam(): string;
    getOrganization(): string;
    getTeamMail(): string;
    getUrlBuildPipeline(): string;
    getUrlDocumentation(): string;
    getUrlIssueManagement(): string;
    getUrlVersionControl(): string;
    private readPackageJson;
    getDecisionRecordFilenameForOverview(): string;
}
